Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Interface JifParsedPolyType

All Superinterfaces:
  polyglot.types.ClassType, java.lang.Cloneable, polyglot.util.Copy, polyglot.types.Declaration, polyglot.types.Importable, polyglot.ext.param.types.InstType, JifClassType, JifPolyType, polyglot.types.MemberInstance, polyglot.types.Named, polyglot.types.ParsedClassType, polyglot.types.ParsedTypeObject, polyglot.types.Qualifier, polyglot.types.ReferenceType, java.io.Serializable, polyglot.types.Type, polyglot.types.TypeObject

All Known Implementing Classes:
  JifParsedPolyType_c

    public interface JifParsedPolyType

extends polyglot.types.ParsedClassType, JifPolyType

Jif parsed polymorphic class type.

Method Summary
`void` | `setAuthority(java.util.List principals)`
`void` | `setInstantiatedFrom(polyglot.ext.param.types.PClass pc)`
`void` | `setParams(java.util.List params)`

Methods inherited from interface polyglot.types.ParsedClassType
`addConstructor, addField, addInterface, addMemberClass, addMethod, defaultConstructorNeeded, flags, fromSource, inStaticContext, kind, membersAdded, name, needSerialization, needSerialization, numSignaturesUnresolved, outer, package_, position, setConstructors, setFields, setInterfaces, setJob, setMemberClasses, setMembersAdded, setMethods, setSignaturesResolved, setSupertypesResolved, signaturesResolved, superType, supertypesResolved`

Methods inherited from interface polyglot.types.ParsedTypeObject
`initializer, job, setInitializer`

Methods inherited from interface jif.types.JifPolyType
`params`

Methods inherited from interface jif.types.JifClassType
`actuals, authority, constructorCallAuthority, thisLabel`

Methods inherited from interface polyglot.ext.param.types.InstType
`actuals, instantiatedFrom`

Method Detail

### setParams

    void setParams(java.util.List params)

### setAuthority

    void setAuthority(java.util.List principals)

### setInstantiatedFrom

    void setInstantiatedFrom(polyglot.ext.param.types.PClass pc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD